.burger__btn {
    width: 44px;
    height: 37px;
    background: black;
    @include flex-col;
    padding: 0 14px;
    overflow: hidden;
    gap: 2px;
    transition: all 0.4s ease-out;
    position: relative;
    cursor: pointer;

    @media (min-width: 661px) {
        display: none;
    }
}

.burger__line {
    height: 2px;
    background-color: #ffffff;
    width: 100%;
    transition: all 0.4s ease-out;
}

.burger__btn._active {
    .line-2 {
        transform: rotate(225deg);
    }

    .line-1 {
        transform: translateX(200%);
        opacity: 0;
    }

    .line-3 {
        transform: translateY(-200%) rotate(-45deg);
    }
}

.header__nav._burger {
    @include flex-col;
    align-items: flex-start;
    gap: 0;
    min-width: fit-content;
    width: 35%;
    background-color: #F5F5F5;
    position: absolute;
    top: calc(100% - $headerMenu_paddind_sm);
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
    animation: show .5s ease-in-out;
    
    .header__nav-item {
        padding: 8px 14px;
        width: 100%;
        transition: background-color .3s ease-out;

        &:hover {
            background-color: #E5E5E5;
        }
    }

    @media (max-width: 576px) {
        width: 40%;
    }

    @media (max-width: 440px) {
        width: 50%;
    }

    @media (min-width: 661px) {
        display: none;
    }
}

@keyframes show {
    0% {
        transform: scale(0);
        transform-origin: right top;
        opacity: 0;
    }

    100% {
        transform: scale(1);
    }
}